POST /api/v1/chat.
Request
- Method:
POST - Path:
/api/v1/chat - Auth:
Authorization: Bearer <access_token> - Body:
Example – cURL
Example – JavaScript (fetch)
Example – Python
Response
On success (200 OK):
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Send a user message to your assistant and receive a reply.
POST /api/v1/chat.
POST/api/v1/chatAuthorization: Bearer <access_token>{
"message": "How do I reset my password?",
"conversationId": "optional-conversation-id"
}
curl -X POST https://app.promptify.one/api/v1/chat \
-H "Authorization: Bearer $PROMPTIFY_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"message": "How do I reset my password?"
}'
const res = await fetch("https://app.promptify.one/api/v1/chat", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.PROMPTIFY_ACCESS_TOKEN!}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
message: "How do I reset my password?",
}),
});
const data = await res.json();
console.log(data.reply, data.model);
import os
import requests
token = os.environ["PROMPTIFY_ACCESS_TOKEN"]
resp = requests.post(
"https://app.promptify.one/api/v1/chat",
headers={
"Authorization": f"Bearer {token}",
"Content-Type": "application/json",
},
json={"message": "How do I reset my password?"},
)
data = resp.json()
print(data["reply"], data["model"])
200 OK):
{
"reply": "Here’s how you can reset your password…",
"model": "ft:gpt-4o-mini:promptify:customer-success:2025-01-01",
"isFineTuned": true,
"usage": {
"promptTokens": 123,
"completionTokens": 45,
"totalTokens": 168
},
"latencyMs": 732
}
{
"error": {
"code": "NO_ASSISTANT",
"message": "No assistant configured. Complete onboarding first."
}
}
Was this page helpful?
